Event After Application Update onAppUpdate

Choose a tool for developing with an AI agent:

  • use Alaio Vibecode to build an app for Bitrix24 from a task description without knowing any programming language. The agent writes the code and deploys the app to a server, with no manual hosting setup
  • use the MCP server to develop a REST API integration in your own project. The agent refers to the official REST documentation

Scope: basic

Who can subscribe: any user

The ONAPPUPDATE event is triggered after a new version of the application is installed in Bitrix24. The handler receives the current and previous versions of the application and the application_token. How a new application version is released and what happens on Bitrix24 during an update is described in the Application Updates article.

Events will not be sent to the application until the installation is complete. Check the application installation.

What the Handler Receives

Data is transmitted as a POST request

{
            "event": "ONAPPUPDATE",
            "event_handler_id": "12",
            "data": {
                "VERSION": "3",
                "PREVIOUS_VERSION": "2",
                "LANGUAGE_ID": "de"
            },
            "ts": "1696527000",
            "auth": {
                "domain": "some-domain.bitrix24.com",
                "scope": "crm,user",
                "access_token": "lh8ze36o8ulgrljbyscr36c7ay5sinva",
                "refresh_token": "5f1ih5tsnsb11sc5heg3kp4ywqnjhd09",
                "expires_in": "3600",
                "server_endpoint": "https://oauth.bitrix.info/rest/",
                "status": "F",
                "client_endpoint": "https://some-domain.bitrix24.com/rest/",
                "member_id": "d41d8cd98f00b204e9800998ecf8427e",
                "application_token": "c917d38f6bdb84e9d9e0bfe9d585be73"
            }
        }
        

Request Parameters

Required parameters are marked with *

Name
type

Description

event*
string

Symbolic event code. In this case — ONAPPUPDATE

event_handler_id
integer

Event handler ID

data*
object

Data about the application update.

The structure is described below

ts*
timestamp

Date and time of the event sent from the queue

auth*
object

Object containing authorization parameters and information about the account where the event occurred.

The structure is described below

Parameter data

Name
type

Description

VERSION*
string

Current installed version of the application

PREVIOUS_VERSION*
string

Previous version before the update

LANGUAGE_ID*
string

Default language of the Bitrix24 account: ru, en and others

Parameter auth

Name
type

Description

domain*
string

Address of the Bitrix24 account where the event occurred

scope
string

Codes of the permissions granted to the application, separated by commas

access_token
string

OAuth 2.0 authorization token

refresh_token
string

Token for extending OAuth 2.0 authorization

expires_in
integer

Access token lifetime in seconds

server_endpoint*
string

Authorization server address for token renewal

status
string

Status of the application that subscribed to this event:

  • L — local application
  • F — free mass-market application
  • D — demo version of a mass-market application
  • T — trial version of a mass-market application, time-limited
  • P — paid mass-market application

client_endpoint*
string

Common path for API method calls to the account

member_id*
string

Unique identifier of the account

application_token*
string

Application token. Compare it with the token retained during installation to make sure the request came from Bitrix24. For more details, see the article Security in Handlers

If the event could be linked to a user, auth contains access_token, refresh_token, expires_in, scope, and status, more details.

Continue Learning